Bug 836108 - cannot update 0.97.3 to 0.97.5
cannot update 0.97.3 to 0.97.5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 02:57 EDT by Paul
Modified: 2012-08-16 08:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 19:49:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul 2012-06-28 02:57:59 EDT
Description of problem:
I am getting DON'T PANIC messages

I try to see what is happening and observe that all of my freshclam calls send the following message to root's email which include:
+++
WARNING: Your clamAV installation is OUTDATED!
WARNING: Local version" 0.97.3 Recommended version" 0.97.5
+++

So, I do a yum update and I do not get 0.97.5. I try explicitly by doing "yum update clamav" and it says I am current with 0.97.3. I do a "yum list" and it does show a 0.97.5

Version-Release number of selected component (if applicable):
See Description

How reproducible:
See Description

Steps to Reproduce:
1. See Description
2.
3.
  
Actual results:
No update to 0.97.5

Expected results:
Update to 0.97.5

Additional info:

Please let me know if I can provide additional info. The only extra bit I can add is I am seeing this on F16 x86_64 and i686 (32 bit)
Comment 1 customercare 2012-07-09 09:10:56 EDT
@Paul: the message means, the engine itself is not the latest one. As long as freshclam does not report, that it can't update, it's "ok" (sort off).

The new engine is not in the repo, that's why yum update does not find a new one. 


@team: pls build a new package 0.97.5 

It's missing on FC15/16 x86_64/i686
Comment 2 Paul 2012-07-09 16:34:27 EDT
Thanks for reply and confirmation about what is going on.

I'll keep my eye open for announcement that it is in release for f16 x86_64/i686 (I am very unsure of myself regarding testing patches before release so until someone teaches me how to do all that, I just wait for the actual release)

Once I can get rid of that update message, I can continue to go through and see if I can understand why/where I am getting the "DONT PANIC" message

Paul
Comment 3 Paul 2012-07-09 17:34:53 EDT
One other thing ...

While filing this away in my "email folder bug tracking" system, I noticed that I have an entry for Bug 754555 of:
+++
Comment #8
Fedora Update System 2012-06-16 06:48:54 EDT

clamav-0.97.5-1600.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clamav-0.97.5-1600.fc16
+++
That's about three weeks ago, so maybe my bug should be part of that one to ask why I am not seeing it if it was submitted on June 16, 2012

Just trying to keep everything clear, please ignore if this is just noise that is confusing me

Paul
Comment 4 Paul 2012-07-12 17:19:36 EDT
I see update in Bug 754555 that it has been pushed and have just updated on my x86_64 box. Will see how it behaves and whether I am still getting DONT PANIC messages

Thanks for making the f16 version happen.

I was going to close this bug, but I wasn't certain what category to use. My gut was "current release", but I figured I ought to let you do it as you know better

Paul
Comment 5 tlhackque 2012-08-16 08:31:42 EDT
As noted in comment 1, clamav 0.97.5 needed to be built for BOTH FC15 and FC16. 

This bug was closed with release of FC16 kit.

FC15 still isn't available... - please build and release.
Comment 6 Robert Scheck 2012-08-16 08:45:15 EDT
As of 26 June 2012, Fedora 15 has reached its end of life for
updates and support. No further updates, including security updates,
will be available for Fedora 15. A previous reminder was sent on
May 31st [0].

Fedora 16 will continue to receive updates until approximately one
month after the release of Fedora 18.  The maintenance schedule of
Fedora releases is documented on the Fedora Project wiki [1].  The
Fedora Project wiki also contains instructions [2] on how to upgrade
from a previous release of Fedora to a version receiving updates.

See: http://lists.fedoraproject.org/pipermail/announce/2012-July/003091.html

Note You need to log in before you can comment on or make changes to this bug.